Index: branches/proxy/src/lib/network/README.NETWORK
===================================================================
--- branches/proxy/src/lib/network/README.NETWORK	(revision 9458)
+++ branches/proxy/src/lib/network/README.NETWORK	(revision 9459)
@@ -8,4 +8,5 @@
 
 UserId:
+=======
 containing the id of a user (==client). This id must be unique within a orxonox network its used especialy in the NetworkStream for node identification and also in the Synchronizeable base class for permissions checking (PERMISSION_OWNER)
 
@@ -34,7 +35,21 @@
 
 uniqueId:
+=========
 uniqueId is an id (unique :D) for each synchronizeable to be identified in a network. the number space for uniqueIds goes from 0 to maxplayers - 1
 
 
+permissions:
+============
+Each synchronizeable variable has some write permissions. this permission systems allows to manage which network nodes are able to write the variables.
+PERMISSION_MASTER_SERVER       : only the master server can write this variable
+PERMISSION_PROXY_SERVER        : only the proxy server can write this variable
+PERMISSION_OWNER               : only the owner can write this variable
+PERMISSION_ALL                 : all clients can write this variable
+
+
+
+
+
 NetworkStream PeerInfo list: (peers)
+=====================================
 The network node with the offset 0 is always the server to which the client must connect to (in case there are connections to other hosts at the same time).
Index: branches/proxy/src/lib/network/network_stream.cc
===================================================================
--- branches/proxy/src/lib/network/network_stream.cc	(revision 9458)
+++ branches/proxy/src/lib/network/network_stream.cc	(revision 9459)
@@ -360,5 +360,5 @@
   //check for new connections
 
-  NetworkSocket* tempNetworkSocket = serverSocket->getNewSocket();
+  NetworkSocket* tempNetworkSocket = serverSocket->getNewClientSocket();
 
   // we got new network node
@@ -366,5 +366,5 @@
   {
     int clientId;
-    // if there is a list of free client id slots, take these
+    // determine the network node id
     if ( freeSocketSlots.size() > 0 )
     {
Index: branches/proxy/src/lib/network/network_stream.h
===================================================================
--- branches/proxy/src/lib/network/network_stream.h	(revision 9458)
+++ branches/proxy/src/lib/network/network_stream.h	(revision 9459)
@@ -55,7 +55,13 @@
 
     /* functions for the peerInfo information retreival */
+    /** @returns true if this userId is activated at this client false if not*/
     inline bool isUserIdActive( int userID ) { return (peers.find(userID) != peers.end()); }
+    /** @returns true if this userId is a local client */
+    inline bool isUserLocal( int userID) { return this->isUserIdActive(userID); }
+    /** @returns true if this user is a master server */
     inline bool isUserMasterServer( int userID ){ if ( !isUserIdActive(userID) ) return false; return peers[userID].isMasterServer(); }
+    /** @returns true if this user is a proxy server */
     inline bool isUserProxyServerActive( int userID ){ if ( !isUserIdActive(userID) ) return false; return peers[userID].isProxyServerActive(); }
+    /** @returns true if this user is a client */
     inline bool isUserClient( int userID ){ if ( !isUserIdActive(userID) ) return false; return peers[userID].isClient(); }
 
Index: branches/proxy/src/lib/network/server_socket.h
===================================================================
--- branches/proxy/src/lib/network/server_socket.h	(revision 9458)
+++ branches/proxy/src/lib/network/server_socket.h	(revision 9459)
@@ -25,5 +25,6 @@
 
     virtual bool listen( unsigned int port ) = 0;
-    virtual NetworkSocket* getNewSocket( void ) = 0;
+    virtual NetworkSocket* getNewClientSocket( void ) = 0;
+//     virtual NetworkSocket* getNewClientSocket( void ) = 0;
     virtual void close() = 0;
     virtual void update() = 0;
Index: branches/proxy/src/lib/network/synchronizeable.cc
===================================================================
--- branches/proxy/src/lib/network/synchronizeable.cc	(revision 9458)
+++ branches/proxy/src/lib/network/synchronizeable.cc	(revision 9459)
@@ -416,5 +416,4 @@
 void Synchronizeable::registerVar( SynchronizeableVar * var )
 {
-  //PRINTF(0)("ADDING VAR: %s\n", var->getName().c_str());
   syncVarList.push_back( var );
 }
@@ -428,5 +427,4 @@
 int Synchronizeable::registerVarId( SynchronizeableVar * var )
 {
-  //PRINTF(0)("ADDING VAR: %s\n", var->getName().c_str());
   syncVarList.push_back( var );
   var->setWatched( true );
Index: branches/proxy/src/lib/network/tcp_server_socket.cc
===================================================================
--- branches/proxy/src/lib/network/tcp_server_socket.cc	(revision 9458)
+++ branches/proxy/src/lib/network/tcp_server_socket.cc	(revision 9459)
@@ -105,5 +105,5 @@
 
 
-NetworkSocket* TcpServerSocket::getNewSocket( )
+NetworkSocket* TcpServerSocket::getNewClientSocket( )
 {
   if ( !listenSocket )
Index: branches/proxy/src/lib/network/tcp_server_socket.h
===================================================================
--- branches/proxy/src/lib/network/tcp_server_socket.h	(revision 9458)
+++ branches/proxy/src/lib/network/tcp_server_socket.h	(revision 9459)
@@ -25,5 +25,5 @@
 
     virtual bool listen( unsigned int port );
-    virtual NetworkSocket* getNewSocket( void );
+    virtual NetworkSocket* getNewClientSocket( void );
     virtual void close();
     virtual void update() {};
Index: branches/proxy/src/lib/network/udp_server_socket.cc
===================================================================
--- branches/proxy/src/lib/network/udp_server_socket.cc	(revision 9458)
+++ branches/proxy/src/lib/network/udp_server_socket.cc	(revision 9459)
@@ -80,5 +80,5 @@
  * @return new socket or NULL if no new socket exists
  */
-NetworkSocket * UdpServerSocket::getNewSocket( void )
+NetworkSocket * UdpServerSocket::getNewClientSocket( void )
 {
   NetworkSocket * result = NULL;
Index: branches/proxy/src/lib/network/udp_server_socket.h
===================================================================
--- branches/proxy/src/lib/network/udp_server_socket.h	(revision 9458)
+++ branches/proxy/src/lib/network/udp_server_socket.h	(revision 9459)
@@ -51,5 +51,5 @@
     virtual bool listen( unsigned int port );
 
-    virtual NetworkSocket* getNewSocket( void );
+    virtual NetworkSocket* getNewClientSocket( void );
 
     virtual void close();
